Bug 105196 - TextAutosizing - Adjust the lowest common ancestor of the cluster's text nodes after the width of the first estimation is found.
Summary: TextAutosizing - Adjust the lowest common ancestor of the cluster's text node...
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Anton Vayvod
URL:
Keywords:
Depends on: 103627
Blocks: FontBoosting
  Show dependency treegraph
 
Reported: 2012-12-17 10:50 PST by Anton Vayvod
Modified: 2016-09-19 15:13 PDT (History)
6 users (show)

See Also:


Attachments
Patch (10.55 KB, patch)
2012-12-17 10:58 PST, Anton Vayvod
no flags Details | Formatted Diff | Diff
Patch (19.18 KB, patch)
2013-01-07 06:49 PST, Anton Vayvod
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anton Vayvod 2012-12-17 10:50:03 PST
TextAutosizing - Adjust the lowest common ancestor of the cluster's text nodes after the width of the first estimation is found.
Comment 1 Anton Vayvod 2012-12-17 10:58:54 PST
Created attachment 179770 [details]
Patch
Comment 2 Anton Vayvod 2012-12-17 11:01:58 PST
This patch depends on the patch for bug 103627
Comment 3 Anton Vayvod 2013-01-07 06:49:46 PST
Created attachment 181502 [details]
Patch
Comment 4 John Mellor 2013-03-27 03:24:43 PDT
Update: the code seems good, and in theory it makes the algorithm more correct. However when we tested it on the Alexa 1000 homepages, it made barely any difference in practice. Hence Anton and I decided to put this patch on hold for now to avoid introducing unnecessary code complexity.
Comment 5 Bem Jones-Bey 2014-04-16 17:02:29 PDT
Comment on attachment 181502 [details]
Patch

Cleaning up old review flags. Given the most recent comment on this one, I don't think this is still looking for a review.
Comment 6 Daniel Bates 2016-09-19 15:13:00 PDT
Marking this bug Resolved WontFix because the TEXT_AUTOSIZING feature was removed in <https://trac.webkit.org/changeset/206119> (bug #162167). See bug 84186, comment 32 for more details.